Apple Security Update 10.6.4 – 28 Vulnerabilities Mitigated

Yesterday Apple released a new security update for Snow Leopard (10.6), this new update plugs a total of 28 security vulnerabilities.

As always people, please apply this update as soon as possible, and if deploying to production environments, please test this update thoroughly before deploying.

From my side, this installed flawlessly on 3 Macs with no issues.

I have to say that considering Apple has received a bit of a beating in the past about releasing security updates in a timely manner, if you look into the vulnerabilities identified and mitigated below, a lot of these have been found internally by Apple, so well done guys, keep up the great work!
The vulnerabilities along with their relevant CVE numbers are the following:

  • CUPSCVE-ID: CVE-2010-0540Available for: Mac OS X v10.5.8, Mac OS X Server v10.5.8, Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: Visiting a maliciously crafted website while logged into the CUPS web interface as an administrator may allow CUPS settings to be changedDescription: A cross-site request forgery issue exists in the CUPS web interface. Visiting a maliciously crafted website while logged into the CUPS web interface as an administrator may allow CUPS settings to be changed. This issue is addressed by requiring web form submissions to include a randomized session token. Credit to Adrian ‘pagvac’ Pastor of GNUCITIZEN, and Tim Starling for reporting this issue.
  • CUPSCVE-ID: CVE-2010-0302Available for: Mac OS X v10.5.8, Mac OS X Server v10.5.8, Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: A remote attacker may cause an unexpected application termination of cupsdDescription: A use after free issue exists in cupsd. By issuing a maliciously crafted get-printer-jobs request, an attacker may cause a remote denial of service. This is mitigated through the automatic restart of cupsd after its termination. This issue is addressed through improved connection use tracking. Credit to Tim Waugh for reporting this issue.
  • CUPSCVE-ID: CVE-2010-1748Available for: Mac OS X v10.5.8, Mac OS X Server v10.5.8, Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: An attacker with access to the CUPS web interface may be able to read a limited amount of memory from the cupsd processDescription: An uninitialized memory read issue exists in the CUPS web interface’s handling of form variables. An attacker with access to the CUPS web interface may be able to read a limited amount of memory from the cupsd process. By default, only local users may access the web interface. Remote users may access it as well when Printer Sharing is enabled. This issue is addressed through improved handling of form variables. Credit to Luca Carettoni for reporting this issue.
  • DesktopServicesCVE-ID: CVE-2010-0545Available for: Mac OS X v10.5.8, Mac OS X Server v10.5.8, Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: A Finder operation may result in files or folders with unexpected permissionsDescription: When “Apply to enclosed items…” is selected in the “Get Info” window in the Finder, the ownership of the enclosed items is not changed. This may cause the enclosed files and folders to have unexpected permissions. This issue is addressed by applying the correct ownership. Credit to Michi Ruepp of pianobakery.com for reporting this issue.
  • Flash Player plug-inCVE-ID: CVE-2010-0186, CVE-2010-0187Available for: Mac OS X v10.5.8, Mac OS X Server v10.5.8, Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: Multiple vulnerabilities in Adobe Flash Player plug-inDescription: Multiple issues exist in the Adobe Flash Player plug-in, the most serious of which may lead to unauthorized cross-domain requests. The issues are addressed by updating the Flash Player plug-in to version 10.0.45.2 Further information is available via the Adobe web site at http://www.adobe.com/support/security/
  • Folder ManagerCVE-ID: CVE-2010-0546Available for: Mac OS X v10.5.8, Mac OS X Server v10.5.8, Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: Unmounting a maliciously crafted disk image or remote share may lead to data lossDescription: A symlink following issue exists in Folder Manager. A folder named “Cleanup At Startup” is removed upon unmount. A maliciously crafted volume may use a symlink to cause the deletion of an arbitrary folder with the permissions of the current user. This issue is addressed through improved handling of symlinks. Credit: Apple.
  • Help ViewerCVE-ID: CVE-2010-1373Available for: Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: Visiting a maliciously crafted website may lead to the execution of JavaScript in the local domainDescription: A cross-site scripting issue exists in Help Viewer’s handling of help: URLs. Visiting a maliciously crafted website may lead to the execution of JavaScript in the local domain. This may lead to information disclosure or arbitrary code execution. This issue is addressed through improved escaping of URL parameters in HTML content. This issue does not affect systems prior to Mac OS X v10.6. Credit to Clint Ruoho of Laconic Security for reporting this issue.
  • iChatCVE-ID: CVE-2010-1374Available for: Mac OS X v10.5.8, Mac OS X Server v10.5.8, Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: A remote user may upload files to arbitrary locations on the filesystem of a user currently using AIM in iChatDescription: A directory traversal issue exists in iChat’s handling of inline image transfers. A remote user may upload files to arbitrary locations on the filesystem of a user currently using AIM in iChat. This issue is addressed through improved handling of file paths. Credit: Apple.
  • ImageIOCVE-ID: CVE-2010-1411Available for: Mac OS X v10.5.8, Mac OS X Server v10.5.8, Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: Opening a maliciously crafted TIFF file may lead to an unexpected application termination or arbitrary code executionDescription: Multiple integer overflows in the handling of TIFF files may result in a heap buffer overflow. Opening a maliciously crafted TIFF file may lead to an unexpected application termination or arbitrary code execution. The issues are addressed through improved bounds checking. Credit to Kevin Finisterre of digitalmunition.com for reporting these issues.
  • ImageIOCVE-ID: CVE-2010-0543Available for: Mac OS X v10.5.8, Mac OS X Server v10.5.8Impact: Viewing a maliciously crafted movie file may lead to an unexpected application termination or arbitrary code executionDescription: A memory corruption exists in the handling of MPEG2 encoded movie files. Viewing a maliciously crafted movie file may lead to an unexpected application termination or arbitrary code execution. This issue is addressed by performing additional validation of MPEG2 encoded movie files. For Mac OS X v10.6 systems this issue is addressed in Mac OS X v10.6.2. Credit: Apple.
  • KerberosCVE-ID: CVE-2009-4212Available for: Mac OS X v10.5.8, Mac OS X Server v10.5.8, Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: An unauthenticated remote user may cause an unexpected termination of the KDC process, or arbitrary code executionDescription: An integer overflow exists in AES and RC4 decryption operations of the crypto library in the KDC server. Sending a maliciously crafted encrypted message to the KDC server may lead to an unexpected termination of the KDC process, or arbitrary code execution. This issue is addressed through improved bounds checking. Credit to the MIT Kerberos Team for reporting this issue.
  • KerberosCVE-ID: CVE-2010-1320Available for: Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: A remote user may cause an unexpected termination of the KDC process, or arbitrary code executionDescription: A double free issue exists in the renewal or validation of existing tickets in the KDC process. A remote user may cause an unexpected termination of the KDC process, or arbitrary code execution. This issue is addressed through improved ticket handling. This issue does not affect systems prior to Mac OS X v10.6. Credit to Joel Johnson for reporting this issue to Debian, and Brian Almeida working with the MIT Kerberos Security Team.
  • KerberosCVE-ID: CVE-2010-0283Available for: Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: An unauthenticated remote user may cause an unexpected termination of the KDC processDescription: A logic issue in the handling of KDC requests may cause an assertion to be triggered. Sending a maliciously crafted message to the KDC server, a remote attacker may be able to interrupt the Kerberos service by triggering an assertion. This issue is addressed through improved validation of KDC requests. This issue does not affect systems prior to Mac OS X v10.6. Credit to Emmanuel Bouillon of NATO C3 Agency working the MIT Kerberos Security Team for reporting this issue.
  • libcurlCVE-ID: CVE-2010-0734Available for: Mac OS X v10.5.8, Mac OS X Server v10.5.8, Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: Using libcurl to download files from a maliciously crafted website may lead to an unexpected application termination or arbitrary code executionDescription: A buffer overflow exists in libcurl’s handling of gzip-compressed web content. When processing compressed content, libcurl may return an unexpectedly large amount of data to the calling application. This may lead to an unexpected application termination or arbitrary code execution. The issue is addressed by ensuring that the size of data blocks returned to the calling application by libcurl adheres to documented limits.
  • Network AuthorizationCVE-ID: CVE-2010-1375Available for: Mac OS X v10.5.8, Mac OS X Server v10.5.8Impact: A local user may obtain system privilegesDescription: NetAuthSysAgent does not require authorization for certain operations. This may allow a local user to obtain system privileges. This issue is addressed by requiring authorization for additional operations. This issue does not affect Mac OS X v10.6 systems. Credit: Apple.
  • Network AuthorizationCVE-ID: CVE-2010-1376Available for: Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code executionDescription: A format string issue exists in the handling of afp:, cifs:, and smb: URLs. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved validation of afp:, cifs:, and smb: URLs. This issue does not affect systems prior to Mac OS X v10.6. Credit to Ilja van Sprundel of IOActive, and Chris Ries of Carnegie Mellon University Computing Services for reporting this issue.
  • Open DirectoryCVE-ID: CVE-2010-1377Available for: Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: A man-in-the-middle attacker may be able to impersonate a network account serverDescription: When binding to a network account server via System Preferences, Open Directory will automatically negotiate an unprotected connection to the server if it is not possible to connect to the server with Secure Sockets Layer (SSL). A man-in-the-middle attacker may be able to impersonate the network account server, which may lead to arbitrary code execution with system privileges. This issue is addressed by providing an option to require a secure connection. This issue does not affect systems prior to Mac OS X v10.6.
  • Printer SetupCVE-ID: CVE-2010-1379Available for: Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: Network devices may disable printing in certain applicationsDescription: A character encoding issue exists in Printer Setup’s handling of nearby printers. If a device on the local network advertises a printing service with a Unicode character in its service name, printing may fail in certain applications. The issue is addressed through improved handling of shared printers. This issue does not affect systems prior to Mac OS X v10.6. Credit to Filipp Lepalaan of mcare Oy for reporting this issue.
  • PrintingCVE-ID: CVE-2010-1380Available for: Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: A user with access to the printer may cause an unexpected application termination or arbitrary code executionDescription: An integer overflow issue exists in the calculation of page sizes in the cgtexttops CUPS filter. A local or remote user with access to the printer may cause an unexpected application termination or arbitrary code execution. This issue is addressed through improved bounds checking. This issue does not affect systems prior to Mac OS X v10.6. Credit to regenrecht working with iDefense for reporting this issue.
  • RubyCVE-ID: CVE-2010-0541Available for: Mac OS X v10.5.8, Mac OS X Server v10.5.8, Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: A remote attacker may gain access to accounts served by Ruby WEBrickDescription: A cross-site scripting issue exists in the Ruby WEBrick HTTP server’s handling of error pages. Accessing a maliciously crafted URL in certain web browsers may cause the error page to be treated as UTF-7, allowing JavaScript injection. The issue is addressed by setting UTF-8 as the default character set in HTTP error responses. Credit: Apple.
  • SMB File ServerCVE-ID: CVE-2010-1381Available for: Mac OS X v10.5.8, Mac OS X Server v10.5.8, Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: A remote user may obtain unauthorized access to arbitrary filesDescription: A configuration issue exists in Apple’s distribution of Samba, the server used for SMB file sharing. Using symbolic links, a remote user with access to an SMB share may obtain unauthorized access to arbitrary files. This issue is addressed by disabling support for wide links in the Samba configuration file.
  • SquirrelMailCVE-ID: CVE-2009-1578, CVE-2009-1579, CVE-2009-1580, CVE-2009-1581, CVE-2009-2964Available for: Mac OS X v10.5.8, Mac OS X Server v10.5.8, Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: Multiple vulnerabilities in SquirrelMailDescription: SquirrelMail is updated to version 1.4.20 to address several vulnerabilities, the most serious of which is a cross-site scripting issue. Further information is available via the SquirrelMail web site at http://www.SquirrelMail.org/
  • Wiki ServerCVE-ID: CVE-2010-1382Available for: Mac OS X v10.5.8, Mac OS X Server v10.5.8, Mac OS X v10.6 through v10.6.3, Mac OS X Server v10.6 through v10.6.3Impact: Viewing maliciously crafted Wiki content may result in a cross-site scripting attackDescription: The Wiki Server does not specify an explicit character set when serving HTML documents in response to user requests. An attacker with the ability to post or comment on Wiki Server hosted content may include scripts encoded in an alternate character set. This may lead to a cross-site scripting attack against users of the Wiki Server. The issue is addressed by specifying a character set for the document in HTTP responses.
Share